Changeset - e285bb7abb28
[Not reviewed]
default
1 14 0
Mads Kiilerich (mads) - 9 years ago 2016-12-19 04:46:48
mads@kiilerich.com
scripts: apply whitespace cleanup to more files - opt out instead of opt in
9 files changed with 5 insertions and 9 deletions:
0 comments (0 inline, 0 general)
docs/images/.img
Show inline comments
 
deleted file
docs/theme/nature/static/nature.css_t
Show inline comments
 
/**
 
 * Sphinx stylesheet -- default theme
 
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
 */
 
 
 
@import url("basic.css");
 
 
 
/* -- page layout ----------------------------------------------------------- */
 
 
 
body {
 
    font-family: Arial, sans-serif;
 
    font-size: 100%;
 
    background-color: #111;
 
    color: #555;
 
    margin: 0;
 
    padding: 0;
 
}
 

	
 
div.documentwrapper {
 
    float: left;
 
    width: 100%;
 
}
 

	
 
div.bodywrapper {
 
    margin: 0 0 0 230px;
 
}
 

	
 
hr{
 
    border: 1px solid #B1B4B6;
 
}
 
 
 
div.document {
 
    background-color: #eee;
 
}
 
 
 
div.body {
 
    background-color: #ffffff;
 
    color: #3E4349;
 
    padding: 0 30px 30px 30px;
 
    font-size: 0.8em;
 
}
 
 
 
div.footer {
 
    color: #555;
 
    width: 100%;
 
    padding: 13px 0;
 
    text-align: center;
 
    font-size: 75%;
 
}
 
 
 
div.footer a {
 
    color: #444;
 
    text-decoration: underline;
 
}
 
 
 
div.related {
 
    background-color: #577632;
 
    line-height: 32px;
 
    color: #fff;
 
    text-shadow: 0px 1px 0 #444;
 
    font-size: 0.80em;
 
}
 
 
 
div.related a {
 
    color: #E2F3CC;
 
}
 
 
 
div.sphinxsidebar {
 
    font-size: 0.75em;
 
    line-height: 1.5em;
 
}
 

	
 
div.sphinxsidebarwrapper{
 
    padding: 20px 0;
 
}
 
 
 
div.sphinxsidebar h3,
 
div.sphinxsidebar h4 {
 
    font-family: Arial, sans-serif;
 
    color: #222;
 
    font-size: 1.2em;
 
    font-weight: normal;
 
    margin: 0;
 
    padding: 5px 10px;
 
    background-color: #ddd;
 
    text-shadow: 1px 1px 0 white
 
}
 

	
 
div.sphinxsidebar h4{
 
    font-size: 1.1em;
 
}
 
 
 
div.sphinxsidebar h3 a {
 
    color: #444;
 
}
 
 
 
 
 
div.sphinxsidebar p {
 
    color: #888;
 
    padding: 5px 20px;
 
}
 
 
 
div.sphinxsidebar p.topless {
 
}
 
 
 
div.sphinxsidebar ul {
 
    margin: 10px 20px;
 
    padding: 0;
 
    color: #000;
 
}
 
 
 
div.sphinxsidebar a {
 
    color: #444;
 
}
 
 
 
div.sphinxsidebar input {
 
    border: 1px solid #ccc;
 
    font-family: sans-serif;
 
    font-size: 1em;
 
}
 

	
 
div.sphinxsidebar input[type=text]{
 
    margin-left: 20px;
 
}
 

	
 
div.sphinxsidebar input[type=image] {
 
    border: 0;
 
}
 
 
 
/* -- body styles ----------------------------------------------------------- */
 
 
 
a {
 
    color: #005B81;
 
    text-decoration: none;
 
}
 
 
 
a:hover {
 
    color: #E32E00;
 
    text-decoration: underline;
 
}
 
 
 
div.body h1,
 
div.body h2,
 
div.body h3,
 
div.body h4,
 
div.body h5,
 
div.body h6 {
 
    font-family: Arial, sans-serif;
 
    background-color: #BED4EB;
 
    font-weight: normal;
 
    color: #212224;
 
    margin: 30px 0px 10px 0px;
 
    padding: 5px 0 5px 10px;
 
    text-shadow: 0px 1px 0 white
 
}
 
 
 
div.body h1 { border-top: 20px solid white; margin-top: 0; font-size: 200%; }
 
div.body h2 { font-size: 150%; background-color: #C8D5E3; }
 
div.body h3 { font-size: 120%; background-color: #D8DEE3; }
 
div.body h4 { font-size: 110%; background-color: #D8DEE3; }
 
div.body h5 { font-size: 100%; background-color: #D8DEE3; }
 
div.body h6 { font-size: 100%; background-color: #D8DEE3; }
 
 
 
a.headerlink {
 
    color: #c60f0f;
 
    font-size: 0.8em;
 
    padding: 0 4px 0 4px;
 
    text-decoration: none;
 
}
 
 
 
a.headerlink:hover {
 
    background-color: #c60f0f;
 
    color: white;
 
}
 
 
 
div.body p, div.body dd, div.body li {
 
    line-height: 1.5em;
 
}
 
 
 
div.admonition p.admonition-title + p {
 
    display: inline;
 
}
 

	
 
div.highlight{
 
    background-color: white;
 
}
 

	
 
div.note {
 
    background-color: #eee;
 
    border: 1px solid #ccc;
 
}
 
 
 
div.seealso {
 
    background-color: #ffc;
 
    border: 1px solid #ff6;
 
}
 
 
 
div.topic {
 
    background-color: #eee;
 
}
 
 
 
div.warning {
 
    background-color: #ffe4e4;
 
    border: 1px solid #f66;
 
}
 
 
 
p.admonition-title {
 
    display: inline;
 
}
 
 
 
p.admonition-title:after {
 
    content: ":";
 
}
 
 
 
pre {
 
    padding: 10px;
 
    background-color: White;
 
    color: #222;
 
    line-height: 1.2em;
 
    border: 1px solid #C6C9CB;
 
    font-size: 1.2em;
 
    margin: 1.5em 0 1.5em 0;
 
    box-shadow: 1px 1px 1px #d8d8d8;
 
}
 
 
 
tt {
 
    background-color: #ecf0f3;
 
    color: #222;
 
    padding: 1px 2px;
 
    font-size: 1.2em;
 
    font-family: monospace;
 
}
init.d/kallithea-daemon-arch
Show inline comments
 
#!/bin/bash
 
###########################################
 
#### THIS IS AN ARCH LINUX RC.D SCRIPT ####
 
###########################################
 

	
 
. /etc/rc.conf
 
. /etc/rc.d/functions
 

	
 
DAEMON=kallithea
 
APP_HOMEDIR="/srv"
 
APP_PATH="$APP_HOMEDIR/$DAEMON"
 
CONF_NAME="production.ini"
 
LOG_FILE="/var/log/$DAEMON.log"
 
PID_FILE="/run/daemons/$DAEMON"
 
APPL=/usr/bin/paster
 
RUN_AS="*****"
 

	
 
ARGS="serve --daemon \
 
--user=$RUN_AS \
 
--group=$RUN_AS \
 
--pid-file=$PID_FILE \
 
--log-file=$LOG_FILE \
 
$APP_PATH/$CONF_NAME"
 

	
 
[ -r /etc/conf.d/$DAEMON ] && . /etc/conf.d/$DAEMON
 

	
 
if [[ -r $PID_FILE ]]; then
 
    read -r PID < "$PID_FILE"
 
    if [[ $PID && ! -d /proc/$PID ]]; then
 
        unset PID
 
        rm_daemon $DAEMON
 
    fi
 
fi
 

	
 
case "$1" in
 
start)
 
    stat_busy "Starting $DAEMON"
 
    export HOME=$APP_PATH
 
    [ -z "$PID" ] && $APPL $ARGS &>/dev/null
 
    if [ $? = 0 ]; then
 
        add_daemon $DAEMON
 
        stat_done
 
    else
 
        stat_fail
 
        exit 1
 
    fi
 
    ;;
 
stop)
 
    stat_busy "Stopping $DAEMON"
 
    [ -n "$PID" ] && kill $PID &>/dev/null 
 
    if [ $? = 0 ]; then
 
        rm_daemon $DAEMON
 
        stat_done
 
    else
 
        stat_fail
 
        exit 1
 
    fi
 
    ;;
 
restart)
 
    $0 stop
 
    sleep 1
 
    $0 start
 
    ;;
 
status)
 
    stat_busy "Checking $name status";
 
    ck_status $name
 
    ;;
 
*)
 
    echo "usage: $0 {start|stop|restart|status}"
 
esac
 
\ No newline at end of file
 
esac
init.d/kallithea-daemon-debian
Show inline comments
 
#!/bin/sh -e
 
########################################
 
#### THIS IS A DEBIAN INIT.D SCRIPT ####
 
########################################
 
 
 
### BEGIN INIT INFO
 
# Provides:          kallithea          
 
# Required-Start:    $all
 
# Required-Stop:     $all
 
# Default-Start:     2 3 4 5
 
# Default-Stop:      0 1 6
 
# Short-Description: starts instance of kallithea
 
# Description:       starts instance of kallithea using start-stop-daemon
 
### END INIT INFO
 
 
 
APP_NAME="kallithea"
 
APP_HOMEDIR="opt"
 
APP_PATH="/$APP_HOMEDIR/$APP_NAME"
 
 
 
CONF_NAME="production.ini"
 
 
 
PID_PATH="$APP_PATH/$APP_NAME.pid"
 
LOG_PATH="$APP_PATH/$APP_NAME.log"
 
 
 
PYTHON_PATH="/$APP_HOMEDIR/$APP_NAME-venv"
 
 
 
RUN_AS="root"
 
 
 
DAEMON="$PYTHON_PATH/bin/paster"
 
 
 
DAEMON_OPTS="serve --daemon \
 
 --user=$RUN_AS \
 
 --group=$RUN_AS \
 
 --pid-file=$PID_PATH \
 
 --log-file=$LOG_PATH  $APP_PATH/$CONF_NAME"
 
 
 
 
 
start() {
 
  echo "Starting $APP_NAME"
 
  PYTHON_EGG_CACHE="/tmp" start-stop-daemon -d $APP_PATH \
 
      --start --quiet \
 
      --pidfile $PID_PATH \
 
      --user $RUN_AS \
 
      --exec $DAEMON -- $DAEMON_OPTS
 
}
 
 
 
stop() {
 
  echo "Stopping $APP_NAME"
 
  start-stop-daemon -d $APP_PATH \
 
      --stop --quiet \
 
      --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
 
 
 
  if [ -f $PID_PATH ]; then
 
    rm $PID_PATH
 
  fi
 
}
 
 
 
status() {
 
  echo -n "Checking status of $APP_NAME ... "
 
  pid=`cat $PID_PATH`
 
  status=`ps ax | grep $pid | grep -ve grep`
 
  if [ "$?" -eq 0 ]; then
 
    echo "running"
 
  else
 
    echo "NOT running"
 
  fi
 
}
 
 
 
case "$1" in
 
  status)
 
   status
 
    ;;
 
  start)
 
    start
 
    ;;
 
  stop)
 
    stop
 
    ;;
 
  restart)
 
    echo "Restarting $APP_NAME"
 
    ### stop ###
 
    stop
 
    wait
 
    ### start ###
 
    start
 
    ;;
 
  *)
 
    echo "Usage: $0 {start|stop|restart}"
 
    exit 1
 
esac
 
\ No newline at end of file
 
esac
init.d/kallithea-daemon-redhat
Show inline comments
 
#!/bin/sh
 
########################################
 
#### THIS IS A REDHAT INIT.D SCRIPT ####
 
########################################
 

	
 
##################################################
 
#
 
# Kallithea server startup script
 
# Recommended default-startup: 2 3 4 5
 
# Recommended default-stop: 0 1 6
 
#
 
##################################################
 

	
 

	
 
APP_NAME="kallithea"
 
# the location of your app
 
# since this is a web app, it should go in /var/www
 
APP_PATH="/var/www/$APP_NAME"
 

	
 
CONF_NAME="production.ini"
 

	
 
# write to wherever the PID should be stored, just ensure
 
# that the user you run paster as has the appropriate permissions
 
# same goes for the log file
 
PID_PATH="/var/run/kallithea/pid"
 
LOG_PATH="/var/log/kallithea/kallithea.log"
 

	
 
# replace this with the path to the virtual environment you
 
# made for Kallithea
 
PYTHON_PATH="/opt/python_virtualenvironments/kallithea-venv"
 

	
 
RUN_AS="kallithea"
 

	
 
DAEMON="$PYTHON_PATH/bin/paster"
 

	
 
DAEMON_OPTS="serve --daemon \
 
    --user=$RUN_AS \
 
    --group=$RUN_AS \
 
    --pid-file=$PID_PATH \
 
    --log-file=$LOG_PATH $APP_PATH/$CONF_NAME"
 

	
 
DESC="kallithea-server"
 
LOCK_FILE="/var/lock/subsys/$APP_NAME"
 

	
 
# source CentOS init functions
 
. /etc/init.d/functions
 

	
 
RETVAL=0
 

	
 
remove_pid () {
 
  rm -f ${PID_PATH}
 
  rmdir `dirname ${PID_PATH}`
 
}
 

	
 
ensure_pid_dir () {
 
  PID_DIR=`dirname ${PID_PATH}`
 
  if [ ! -d ${PID_DIR} ] ; then
 
    mkdir -p ${PID_DIR}
 
    chown -R ${RUN_AS}:${RUN_AS} ${PID_DIR}
 
    chmod 755 ${PID_DIR}
 
  fi
 
}
 

	
 
start_kallithea () {
 
    ensure_pid_dir
 
    PYTHON_EGG_CACHE="/tmp" daemon --pidfile $PID_PATH \
 
        --user $RUN_AS "$DAEMON $DAEMON_OPTS"
 
    RETVAL=$?
 
    [ $RETVAL -eq 0 ] && touch $LOCK_FILE
 
    return $RETVAL
 
}
 

	
 
stop_kallithea () {
 
    if [ -e $LOCK_FILE ]; then
 
      killproc -p $PID_PATH
 
      RETVAL=$?
 
      rm -f $LOCK_FILE
 
      rm -f $PID_PATH
 
    else
 
      RETVAL=1
 
    fi
 
    return $RETVAL
 
}
 

	
 
status_kallithea() {
 
  if [ -e $LOCK_FILE ]; then
 
    # exit with non-zero to indicate failure
 
    RETVAL=1
 
  else
 
    RETVAL=0
 
  fi
 
  return $RETVAL
 
}
 

	
 
restart_kallithea () {
 
    stop_kallithea
 
    start_kallithea
 
    RETVAL=$?
 
}
 

	
 
case "$1" in
 
  start)
 
    echo -n $"Starting $DESC: "
 
    start_kallithea
 
    echo
 
    ;;
 
  stop)
 
    echo -n $"Stopping $DESC: "
 
    stop_kallithea
 
    echo
 
    ;;
 
  status)
 
    status_kallithea
 
    RETVAL=$?
 
    if [ ! $RETVAL -eq 0 ]; then
 
      echo "Kallithea server is running..."
 
    else
 
      echo "Kallithea server is stopped."
 
    fi
 
    ;;
 
  restart)
 
    echo -n $"Restarting $DESC: "
 
    restart_kallithea
 
    echo
 
    ;;
 
  *)
 
    echo $"Usage: $0 {start|stop|restart|status}"
 
    RETVAL=1
 
    ;;
 
esac
 

	
 
exit $RETVAL
 
\ No newline at end of file
 
exit $RETVAL
kallithea/bin/ldap_sync.conf
Show inline comments
 
[default]
 
api_url = http://kallithea.example.com/_admin/api
 
api_user = admin
 
api_key = XXXXXXXXXXXX
 

	
 
ldap_uri = ldap://ldap.example.com:389
 
ldap_user = cn=kallithea,dc=example,dc=com
 
ldap_key = XXXXXXXXX
 
base_dn = dc=example,dc=com
 

	
 
sync_users = True
 
\ No newline at end of file
 
sync_users = True
kallithea/tests/vcs/aconfig
Show inline comments
 
[user]
 
name = Foo Bar
 
email = foo.bar@example.com
 

	
 
[ui]
 
username = Foo Bar foo.bar@example.com
 

	
 
[universal]
 
foo = bar
 

	
scripts/dbmigrate-test
Show inline comments
 
#!/bin/sh -e
 

	
 
if [ $# -lt 2 ] || [ $# -gt 3 ]; then
 
    cat >&2 <<EOD
 
usage: $0 CONFIG_FILE FROM_REV [TO_REV]
 

	
 
Runs a database migration from FROM_REV to TO_REV (default: current
 
working directory parent), using the specified CONFIG_FILE (.ini file).
 

	
 
Test is run using a clean Kallithea install, in a temporary virtual
 
environment. FROM_REV and (optional) TO_REV should be Mercurial revision
 
identifiers (e.g. changeset hash or a version number tag). The working
 
directory is not touched, but the database referenced in the config file
 
will be (re)created.
 

	
 
Only SQLite is available out of the box; for MySQL or PostgreSQL, set
 
the EXTRA environment variable to the required package(s), and it'll
 
be installed in the virtual environment. (E.g. EXTRA=MySQL-python or
 
EXTRA=psycopg2.)
 

	
 
The temporary directory is not removed, allowing follow-up examination
 
of the upgrade results. It is, however, created in /tmp by default,
 
which many Linux distributions automatically clean at regular intervals.
 
EOD
 
    exit 1
 
fi
 

	
 
config_file=$(readlink -f "$1")
 
from_rev=$2
 
to_rev=$3
 
source_repo=$(dirname "$(dirname "$(readlink -f "$0")")")
 

	
 
announce() {
 
    echo
 
    echo "$1"
 
    echo
 
}
 

	
 
quiet_if_ok() (
 
    local output
 
    local st
 
    set +e
 
    output=$("$@" < /dev/null 2>&1)
 
    st=$?
 
    if [ $st -ne 0 ]; then
 
        echo "$output" >&2
 
        echo "Command $@ returned exit status $st." >&2
 
        exit 1
 
    fi
 
)
 

	
 
HG() {
 
    "${HG:-hg}" --repository "$source_repo" "$@"
 
}
 

	
 
# If upgrading to "current revision", warn if working directory is dirty.
 
if [ ! "$to_rev" ] && [ "$(HG status -mard)" ]; then
 
    announce "Warning: Uncommitted changes in working directory will be ignored!"
 
fi
 

	
 
from_rev_hash=$(HG id --id --rev "${from_rev:-.}")
 
to_rev_hash=$(HG id --id --rev "${to_rev:-.}")
 
temp=$(readlink -f "$(mktemp --tmpdir -d 'dbmigrate-test.XXXXXX')")
 

	
 
cat <<EOD
 
Config file:    $config_file
 
EOD
 
sed -n -e 's/^sqlalchemy\.url *= */Database URL:   /p' "$config_file"
 
cat <<EOD
 
Working dir:    $temp
 
Repository:     $source_repo
 
Upgrade from:   $from_rev_hash (${from_rev:-current})
 
Upgrade to:     $to_rev_hash (${to_rev:-current})
 
Extra packages: ${EXTRA:-(none)}
 
EOD
 

	
 
mkdir "$temp/repos" # empty
 

	
 
# Enable caching for old pip versions (this will cache the pip upgrade)
 
# Newer pip versions cache automatically, and don't use this variable.
 
if [ ! "$PIP_DOWNLOAD_CACHE" ]; then
 
    export PIP_DOWNLOAD_CACHE=$HOME/.cache/pip/legacy
 
fi
 

	
 
install_kallithea() {
 
    local prefix=$1
 
    local rev=$2
 

	
 
    announce "Installing Kallithea $rev in $prefix..."
 

	
 
    "${VIRTUALENV:-virtualenv}" --quiet "$prefix-env"
 
    HG archive --rev "$rev" "$prefix"
 

	
 
    (
 
        cd "$prefix"
 
        . "$prefix-env/bin/activate"
 
        pip install --quiet --upgrade pip setuptools mercurial $EXTRA
 
        pip install --quiet -e .
 
    )
 
}
 

	
 
install_kallithea "$temp/from" "$from_rev_hash"
 
(
 
    cd "$temp/from"
 
    . "$temp/from-env/bin/activate"
 
    announce "Initializing database..."
 
    quiet_if_ok paster setup-db "$config_file" --repos="$temp/repos" --user=doe --email=doe@example.com --password=123456 --no-public-access --force-yes
 
    alembic -c "$config_file" current -v
 
)
 

	
 
install_kallithea "$temp/to" "$to_rev_hash"
 
(
 
    cd "$temp/to"
 
    . "$temp/to-env/bin/activate"
 

	
 
    announce "Commencing database upgrade from shown Alembic revision to head..."
 
    alembic -c "$config_file" current -v
 
    alembic -c "$config_file" upgrade head
 
    announce "Upgrade complete, now at the shown Alembic revision:"
 
    alembic -c "$config_file" current -v
 
)
 

	
scripts/whitespacecleanup.sh
Show inline comments
 
#!/bin/bash -x
 

	
 
# Enforce some consistency in whitespace - just to avoid spurious whitespaces changes
 

	
 
files=`hg loc '*.py' '*.html' '*.css' '*.rst' '*.txt' '*.js' '*.ini' '*.cfg' CONTRIBUTORS LICENSE.md | egrep -v '/lockfiles.py|LICENSE-MERGELY.html|/codemirror/|/fontello/|(graph|mergely|native.history|select2/select2|yui.flot|yui.2.9|jquery.dataTables)\.js$|/email_templates/|/test_dump_html_mails.ref.html'`
 
files=`hg mani | egrep -v '/codemirror/|/fontello/|/email_templates/|(/lockfiles.py|^LICENSE-MERGELY.html|^docs/Makefile|^scripts/whitespacecleanup.sh|/(graph|mergely|native.history|select2/select2|yui.flot|yui.2.9|jquery.dataTables)\.js|/test_dump_html_mails.ref.html|\.png|\.gif|\.ico|\.pot|\.po|\.mo|\.tar\.gz|\.diff)$'`
 

	
 
sed -i -e "s,`printf '\t'`,    ,g" $files
 
sed -i -e "s,  *$,,g" $files
 
sed -i -e 's,\([^ ]\)\\$,\1 \\,g' -e 's,\(["'"'"']["'"'"']["'"'"']\) \\$,\1\\,g' $files
 
# ensure one trailing newline - remove empty last line and make last line include trailing newline:
 
sed -i -e '$,${/^$/d}' -e '$a\' $files
 

	
 
sed -i -e 's,\([^ /]\){,\1 {,g' `hg loc '*.css'`
 
sed -i -e 's|^\([^ /].*,\)\([^ ]\)|\1 \2|g' `hg loc '*.css'`
 

	
 
sed -i -e 's/^\(    [^: ]*\) *: *\([^/]\)/\1: \2/g' kallithea/public/css/{style,contextbar}.css
 
sed -i -e '1s|, |,|g' kallithea/public/css/{style,contextbar}.css
 
sed -i -e 's/^\([^ ,/]\+ [^,]*[^ ,]\) *, *\(.\)/\1,\n\2/g' kallithea/public/css/{style,contextbar}.css
 
sed -i -e 's/^\([^ ,/].*\)   */\1 /g' kallithea/public/css/{style,contextbar}.css
 
sed -i -e 's,^--$,-- ,g' kallithea/templates/email_templates/main.txt
 
sed -i -e 's,[ 	][ 	]*$,,g' -e 's, 	,	,g' kallithea/public/js/graph.js
 

	
 
hg mani | xargs chmod -x
 
hg loc 'set:!binary()&grep("^#!")&!(**_tmpl.py)&!(**/template**)' | xargs chmod +x
 

	
 
hg diff
0 comments (0 inline, 0 general)